﻿using System;
using System.Web.Management;

public partial class _Default : System.Web.UI.Page
{
  protected void InstallAll_Click(object sender, EventArgs e)
  {
    ApplicationServices.InstallServices(SqlFeatures.All);
  }

  protected void RemoveAll_Click(object sender, EventArgs e)
  {
    ApplicationServices.UninstallServices(SqlFeatures.All);
  }

  protected void InstallMembershipAndRoles_Click(object sender, EventArgs e)
  {
    ApplicationServices.InstallServices(SqlFeatures.Membership | SqlFeatures.RoleManager);
  }

  protected void RemoveMembershipAndRoles_Click(object sender, EventArgs e)
  {
    ApplicationServices.UninstallServices(SqlFeatures.Membership | SqlFeatures.RoleManager);
  }
}
